public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2016-03-31 17:25 Michael Sterrett
  0 siblings, 0 replies; 6+ messages in thread
From: Michael Sterrett @ 2016-03-31 17:25 UTC (permalink / raw
  To: gentoo-commits

commit:     6b41e19d49cc3e0be2f7fbea35b5236ff7d1177f
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 31 17:25:36 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 17:25:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b41e19d

games-emulation/mamory: build with gcc5 (bug #570500)

Package-Manager: portage-2.2.26

 games-emulation/mamory/mamory-0.2.25.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/games-emulation/mamory/mamory-0.2.25.ebuild b/games-emulation/mamory/mamory-0.2.25.ebuild
index e8049a4..3168f82 100644
--- a/games-emulation/mamory/mamory-0.2.25.ebuild
+++ b/games-emulation/mamory/mamory-0.2.25.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-inherit autotools games
+inherit autotools flag-o-matic games
 
 DESCRIPTION="ROM management tools and library"
 HOMEPAGE="http://mamory.sourceforge.net/"
@@ -15,7 +15,7 @@ KEYWORDS="amd64 ppc x86"
 IUSE=""
 
 DEPEND="dev-libs/expat"
-RDEPEND="${DEPEND}"
+RDEPEND=${DEPEND}
 
 src_prepare() {
 	# Make sure the system expat is used
@@ -34,6 +34,7 @@ src_prepare() {
 		common/Makefile.am || die
 
 	AT_M4DIR="config" eautoreconf
+	append-cflags -std=gnu89 # build with gcc5 (bug #570500)
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2018-04-29 11:26 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2018-04-29 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     3f631ac6ef209a227b49a0fbd28fb45eae2378e2
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 11:19:41 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 11:26:23 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f631ac6

games-emulation/mamory: Make repoman happy

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 games-emulation/mamory/mamory-0.2.25-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-emulation/mamory/mamory-0.2.25-r1.ebuild b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
index 5067ebc567f..cccd915c6f2 100644
--- a/games-emulation/mamory/mamory-0.2.25-r1.ebuild
+++ b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
@@ -35,7 +35,7 @@ src_prepare() {
 		common/Makefile.am || die
 
 	AT_M4DIR="config" eautoreconf
-	append-cflags -std=gnu89 # build with gcc5 (bug #570500)	
+	append-cflags -std=gnu89 # build with gcc5 (bug #570500)
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2018-04-29 11:26 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2018-04-29 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     6162afe1a9fda05e4d447ec48cbcf09fe70b429e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 11:07:48 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 11:26:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6162afe1

games-emulation/mamory: Drop old

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 games-emulation/mamory/mamory-0.2.25.ebuild | 48 -----------------------------
 1 file changed, 48 deletions(-)

diff --git a/games-emulation/mamory/mamory-0.2.25.ebuild b/games-emulation/mamory/mamory-0.2.25.ebuild
deleted file mode 100644
index fbf75c2d3d0..00000000000
--- a/games-emulation/mamory/mamory-0.2.25.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit autotools flag-o-matic games
-
-DESCRIPTION="ROM management tools and library"
-HOMEPAGE="http://mamory.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="dev-libs/expat"
-RDEPEND=${DEPEND}
-
-src_prepare() {
-	# Make sure the system expat is used
-	sed -i \
-		-e 's/#ifdef.*SYSEXPAT/#if 1/' \
-		mamory/amlxml.c mamory/amlxml.h || die
-
-	# Remove hardcoded CFLAGS options
-	sed -i \
-		-e '/AC_ARG_ENABLE(debug,/ {N;N;N;d}' \
-		configure.ac || die
-
-	# Make it possible for eautoreconf to fix fPIC etc.
-	sed -i \
-		-e '/libcommon_la_LDFLAGS= -static/d' \
-		common/Makefile.am || die
-
-	AT_M4DIR="config" eautoreconf
-	append-cflags -std=gnu89 # build with gcc5 (bug #570500)
-}
-
-src_configure() {
-	egamesconf \
-		--includedir=/usr/include
-}
-
-src_install() {
-	default
-	dohtml DOCS/mamory.html
-	prepgamesdirs
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2018-04-29 11:26 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2018-04-29 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     bab538fdb4a6abde2129b46a61e42480dabf9365
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 11:07:36 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 11:26:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bab538fd

games-emulation/mamory: Make repoman happy

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 games-emulation/mamory/mamory-0.2.25-r1.ebuild | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/games-emulation/mamory/mamory-0.2.25-r1.ebuild b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
index 3f2f840637e..5067ebc567f 100644
--- a/games-emulation/mamory/mamory-0.2.25-r1.ebuild
+++ b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
@@ -35,9 +35,7 @@ src_prepare() {
 		common/Makefile.am || die
 
 	AT_M4DIR="config" eautoreconf
-	append-cflags -std=gnu89 # build with gcc5 (bug #570500)
-
-	
+	append-cflags -std=gnu89 # build with gcc5 (bug #570500)	
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2018-04-29 11:26 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2018-04-29 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     065b5fad6b7a57c8dafaa7a9f3f7f5b83214f157
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 11:07:15 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 11:26:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=065b5fad

games-emulation/mamory: Stop using games.eclass

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 games-emulation/mamory/mamory-0.2.25-r1.ebuild | 52 ++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/games-emulation/mamory/mamory-0.2.25-r1.ebuild b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
new file mode 100644
index 00000000000..3f2f840637e
--- /dev/null
+++ b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic
+
+DESCRIPTION="ROM management tools and library"
+HOMEPAGE="http://mamory.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-libs/expat"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	# Make sure the system expat is used
+	sed -i \
+		-e 's/#ifdef.*SYSEXPAT/#if 1/' \
+		mamory/amlxml.c mamory/amlxml.h || die
+
+	# Remove hardcoded CFLAGS options
+	sed -i \
+		-e '/AC_ARG_ENABLE(debug,/ {N;N;N;d}' \
+		configure.ac || die
+
+	# Make it possible for eautoreconf to fix fPIC etc.
+	sed -i \
+		-e '/libcommon_la_LDFLAGS= -static/d' \
+		common/Makefile.am || die
+
+	AT_M4DIR="config" eautoreconf
+	append-cflags -std=gnu89 # build with gcc5 (bug #570500)
+
+	
+}
+
+src_configure() {
+	econf \
+		--includedir=/usr/include \
+		--disable-static
+}
+
+src_install() {
+	HTML_DOCS="DOCS/mamory.html" default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/
@ 2023-07-23 19:34 Conrad Kostecki
  0 siblings, 0 replies; 6+ messages in thread
From: Conrad Kostecki @ 2023-07-23 19:34 UTC (permalink / raw
  To: gentoo-commits

commit:     1cf529354067637dbed5a3babfd75c0fca91e652
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Fri Jul 14 18:57:55 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Jul 23 19:34:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cf52935

games-emulation/mamory: EAPI8 bump, fix LICENSE

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/31883
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 games-emulation/mamory/mamory-0.2.25-r1.ebuild | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/games-emulation/mamory/mamory-0.2.25-r1.ebuild b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
index cccd915c6f27..a869f3eea1a9 100644
--- a/games-emulation/mamory/mamory-0.2.25-r1.ebuild
+++ b/games-emulation/mamory/mamory-0.2.25-r1.ebuild
@@ -1,17 +1,17 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
+
 inherit autotools flag-o-matic
 
 DESCRIPTION="ROM management tools and library"
-HOMEPAGE="http://mamory.sourceforge.net/"
+HOMEPAGE="https://sourceforge.net/projects/mamory/"
 SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
 DEPEND="dev-libs/expat"
 RDEPEND="${DEPEND}"
@@ -40,8 +40,7 @@ src_prepare() {
 
 src_configure() {
 	econf \
-		--includedir=/usr/include \
-		--disable-static
+		--includedir="${EPREFIX}"/usr/include
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-07-23 19:34 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-04-29 11:26 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mamory/ Pacho Ramos
  -- strict thread matches above, loose matches on Subject: below --
2023-07-23 19:34 Conrad Kostecki
2018-04-29 11:26 Pacho Ramos
2018-04-29 11:26 Pacho Ramos
2018-04-29 11:26 Pacho Ramos
2016-03-31 17:25 Michael Sterrett

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox